RarEntry::getHostOs
RarEntry::getName
RarEntry
PHP Manual

# RarEntry::getMethod

Get pack method of the entry

### Description

public int RarEntry::getMethod ( void )

RarEntry::getMethod returns number of the method used when adding current archive entry.

### Parameters

This function has no parameters.

### Return Values

Returns the method number or `FALSE` on error.

### Examples

Example #1 RarEntry::getMethod example

`<?php
$rar_file = rar_open('example.rar') or die("Failed to open Rar archive");
$entry = rar_entry_get($rar_file, 'Dir/file.txt') or die("Failed to find such entry");
echo "Method number: " . $entry->getMethod();
?>`